RDKit: utils.h File Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Typedefs | Functions | Variables
utils.h File Reference
`#include "types.h"`
`#include <RDGeneral/Invariant.h>`
`#include <RDGeneral/BoostStartInclude.h>`
`#include <boost/random.hpp>`
`#include <RDGeneral/BoostEndInclude.h>`

Go to the source code of this file.

## Namespaces
| RDKit
| Includes a bunch of functionality for handling Atom and Bond queries.

## Typedefs
typedef boost::minstd_rand | RDKit::rng_type
typedef boost::uniform_int | RDKit::uniform_int
typedef boost::uniform_real | RDKit::uniform_double
typedef boost::variate_generator< rng_type &, uniform_int > | RDKit::int_source_type
typedef boost::variate_generator< rng_type &, uniform_double > | RDKit::double_source_type

## Functions
double | RDKit::computeIntVectPrimesProduct (const INT_VECT &ring)
| compute the product of the set of primes corresponding to the values in an INT_VECT More...
bool | RDKit::feq (double v1, double v2, double tol=1e-4)
| floating point comparison with a tolerance More...
rng_type & | RDKit::getRandomGenerator (int seed=-1)
| Optionally seed and return a reference to the global (Boost) random. More...
double | RDKit::getRandomVal (int seed=-1)
double_source_type & | RDKit::getDoubleRandomSource ()
| return a reference to the global (Boost) random source More...
template<class T >
unsigned int | RDKit::countSwapsToInterconvert (const T &ref, T probe)
template<unsigned n>
double | int_pow (double x)
template<>
double | int_pow< 0 > (double)
template<>
double | int_pow< 1 > (double x)

## Variables
const int | RDKit::FILE_MAXLINE
| an assumed maximum length for lines read from files More...

## Function Documentation

template<unsigned n>

double int_pow | ( | double | x | ) |
| inline

Definition at line 84 of file utils.h.

template<>

double int_pow< 0 > | ( | double |  | ) |
| inline

Definition at line 93 of file utils.h.

template<>

double int_pow< 1 > | ( | double | x | ) |
| inline

Definition at line 98 of file utils.h.